Lone Wolf Development Forums

Lone Wolf Development Forums (http://forums.wolflair.com/index.php)
-   HL - Pathfinder Roleplaying Game (http://forums.wolflair.com/forumdisplay.php?f=62)
-   -   Pathfinder Community Packs (http://forums.wolflair.com/showthread.php?t=51966)

ShadowChemosh February 20th, 2016 03:14 PM

Quote:

Originally Posted by Frodie (Post 224533)
Looks like the old modern 1st file is kicking an error.

Thanks. v5.01 is out.... I forgot the old .1st file didn't follow even the old naming standards so it was missed.

Quintain February 20th, 2016 07:28 PM

I've reported this as a bug, however, since my last activity was to update my environment with the lastest 3PP pack updates, I'm not sure if this is related to HL in general or the 3pp pack in particular or both:

My latest hero lab activity: Just downloaded the Community Pack batch release by Shadowchemosh. However, this is related to core HL functionality.

I've tested this on two different portfolios. When switching heros, either by the menu or the dashboard on the right, the statblock stays with the first one that is loaded, regardless of which position it is in the dashboard hero list. All of the other tab windows work properly -- it is just the stat-block summary window that does not update.

I was curious if others have seen this behavior.

Garrann February 21st, 2016 01:15 PM

Thanks for the advice charlieluce.

Thanks for the update ShadowChemosh!

Eretas February 24th, 2016 08:52 PM

ShadowChemosh's adjustment are no longer available
 
I just updated Herolab with pathfinder and I now have these message errors. The ShadowChemosh's adjustment are no longer available.
I update GMpack and 3PP.


The data files could not be loaded due to errors. Hero Lab will now attempt to load them in recovery mode. Once loaded, you can access the editor as normal to correct any errors.

The following errors occurred:

Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaTrUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaGtUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaMtUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRageUn' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInBe' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInDi' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInHa' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'cdP6Rage' - Bootstrap thing 'cBbnRageUn' does not exist

AND

Critical information not found in data files: Source 'GR - Advanced Bestiary'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'GR - Advanced Bestiary'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'GR - Advanced Bestiary'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'FB - Variant Bestiary Races'
Critical information not found in data files: Source 'FB - Variant Dragons'
Critical information not found in data files: Source 'Frumple Adjustments'
Critical information not found in data files: Source 'Hide Community Deities'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'ShadowChemosh's Archetypes & Classes'
Critical information not found in data files: Source 'ShadowChemosh's Feats'
Critical information not found in data files: Source 'ShadowChemosh's Equipment'
Critical information not found in data files: Source 'FB - Variant Bestiary Races'
Critical information not found in data files: Source 'FB - Variant Dragons'
Critical information not found in data files: Source 'Frumple Adjustments'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'ShadowChemosh's Archetypes & Classes'
Critical information not found in data files: Source 'ShadowChemosh's Feats'
Critical information not found in data files: Source 'ShadowChemosh's Equipment'
Critical information not found in data files: Source 'GR - Advanced Bestiary'
Critical information not found in data files: Source 'ShadowChemosh's Adjustments'
Critical information not found in data files: Source 'ShadowChemosh's Feats'
Critical information not found in data files: Source 'ShadowChemosh's Equipment'
Critical information not found in data files: Source 'ShadowChemosh's Feats'
Critical information not found in data files: Source 'ShadowChemosh's Equipment'

charlieluce February 24th, 2016 09:03 PM

Are you sure you have all the official data packages you need to support the Community files?

Eretas February 24th, 2016 09:33 PM

I was using it since years... The bugs happened just after the update!

charlieluce February 24th, 2016 10:06 PM

Make sure that you have reactivated your license after the update. If that doesn't fix it, I would try going to "Manage Third Party Updates" in the Tools Menu, removing all the Community Packs, and then reinstall the ones you need and are sure you have the prerequisites for.

ShadowChemosh February 24th, 2016 10:16 PM

Quote:

Originally Posted by Eretas (Post 224878)
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaTrUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaGtUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRaMtUn' does not exist
Thing 'arP6BlrUnc' - Bootstrap thing 'cBbnRageUn' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInBe' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInDi' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogDeInHa' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogFinTra' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'arP6NinUnc' - Bootstrap thing 'cRogRogEdg' does not exist
Thing 'cdP6Rage' - Bootstrap thing 'cBbnRageUn' does not exist

These errors tell me you installed the Unchained Pack but you don't have the Pathfinder Unchained license from LW. Remember once HL gets an error on load it will fall into safe mode and load NO addons. :(

a) You have the "Pathfinder Unchained" license then I would reactivate your license to make sure.

b) You loaded the "Unchained Pack" by mistake then go to "Tools->Manage Third Party Updates" and delete the Unchained Pack. Then please download the 3PP Pack again and let it install. That makes sure the "common/shared" files among the packs are actually installed.

Azhrei February 25th, 2016 08:13 AM

So, stupid question here but... Why doesn't HL simply tell the user that they don't have the license required for certain materials instead of spewing errors all over the screen?

TheIronGolem February 25th, 2016 08:51 AM

Quote:

Originally Posted by Azhrei (Post 224913)
So, stupid question here but... Why doesn't HL simply tell the user that they don't have the license required for certain materials instead of spewing errors all over the screen?

I wouldn't call that a stupid question at all. But in any case, if HL encounters a thingid it doesn't recognize, it has no way of knowing what "should" be providing that thing. The missing thing could be from an official LWD package like Ultimate Magic that you don't have a license for, but it could also be from an unofficial package like the 3PP Pack that is missing or incorrectly installed, or it could be from content made from scratch by the local user. It could even be a mistyped thingid that should be something else entirely.

Theoretically, HL might be able to track a list of thingids in official content independently of your actual data packs and then say "Hey, this thing you're trying to load comes from this package you don't have" whenever it encountered such a thingid. But even then, it couldn't be sure that the thing in question isn't some piece of third-party or user-created content that happens to have the same thingid (something we try to avoid in community content, but it still happens), and if that was the case then HL's warning would send you on a wild goose chase.


All times are GMT -8. The time now is 07:45 PM.

Powered by vBulletin® - Copyright ©2000 - 2020, vBulletin Solutions, Inc.
wolflair.com copyright 1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.